Subject: Re: bug#21707: include-file cleanup for src directory

From: Andy Moreton <[email-masked]>
Date: Mon, 19 Oct 2015 13:54:15 +0100

On Mon 19 Oct 2015, Eli Zaretskii wrote:

>> From: Paul Eggert <[email-masked]>
>> Date: Mon, 19 Oct 2015 00:05:52 -0700
>> 
>> Attached is a patch to remove unnecessary #include directives from the src 
>> directory, and add a few #include directives that should be there.  I'm not 
>> installing this now, to give Eli a heads-up in case this affects the MS-Windows 
>> port.
>
> I had compilation warnings and errors due to redisplaying_p and
> cancel_hourglass not being declared in eval.c and lread.c.  These two
> files need to include dispextern.h to avoid that problem.  (This isn't
> Windows specific, so I wonder how it compiled for you.)
>
> Otherwise, LGTM, thanks.
>
> Would someone with MinGW64 installed please try this patch and see
> that it works there as well?

I've done a full bootstrap without problems on MinGW64 from commit
f1575763c0d3 with the patch and your additional fixes (which are needed
on MinGW64 too).

    AndyM